For the complete documentation index, see llms.txt. This page is also available as Markdown.

REST API

This page explains how to establish REST API integration between Customer v2 and an external service. The API's can be used in multiple flows and can be configured with variable placeholders to allow reuse in multiple scenarios.

Follow a step-by-step tutorial to Configure an Open Meteo REST API connection.

Before You Begin

  • Confirm you know the API you want to connect to and the authorization requirements needed perform API calls.

  • Think about what information returned from the API call is relevant to complete the flow and how to parse it for the user.

  • To understand more about Secret Store/Secret Manager refer to this document.

Accessing the REST API Configuration

  1. Sign in to ixHello Customer v2.

  2. In the left navigation menu, go to Integrations → REST API.

  3. Settings

Setting
Description

Name

This column lists the name of each REST API configuration created in the system.

Description

This column provides a brief explanation or label for what the API is used for.

Last Updated

Shows the most recent date and time when each REST API configuration was modified.

Example formats: 02/03/2026, 09:26:15.

Base URL

The base URL is the common starting point for all API requests. It typically includes the protocol and domain name. https://api.example.com

Action Column

On the far right, although not labeled as a header, each row has an "Edit" option.

This lets users open the selected API configuration and update details such as:

  • Base URL

  • Headers

  • Authentication

  • Request/response mapping

  1. Select Create connection or open an existing REST API to edit. The detail page includes:

    1. A header displaying the Name and the description. Click edit to update the base URL and authorization values.

    2. A list view of configured methods for this API.

Configuring the REST API

Step 1: REST API settings

Setup of the overarching settings that will be used by all methods

Setting
Description

Name

The meaningful name for the REST API.

Description

A description to provide further information.

Base URL

The base URL is the common starting point for all API requests. It typically includes the protocol and domain name. https://api.example.com

Authorization type

The authentication method used for requests to this API.

Authorization type specific input fields become available after selection.

Either No authorization, Basic Auth, Bearer Token or OAuth 2.0.

Step 2: Method request

Setup of the specific method for this API.

Setting
Description

Name

The meaningful name for the REST API.

Description

A description to provide further information.

Request type

The request type defines how the method is allowed to act with the endpoint.

  • GET retrieves information or data from a specified resource

  • POST submits data to be processed to a specified resource

  • PUT updates a specified resource with new data

  • PATCH partially updates a specified resource

  • DELETE deletes a specified resource

Method path *

The relative path of the specific API endpoint. It is added to the base URL to form a complete request address. A method path of /flows results in a complete request address of https://api.example.com/flows

Query String *

The query string can include one or more parameters. Each parameter is represented by a unique key-value pair or a set of two linked data items. An equal's sign = separates each key and value. The query string is prefixed with a question mark ? and added to the end of the complete request address. A query string of api_key=1234567&user_id=456 results in

https://api.example.com/flows?api_key=1234567&user_id=456

Request Headers *

Request headers are key-value pairs used to transfer metadata about the request.

Request Body *

The request body contains the actual data being transferred between the client and the server, in JSON format.

{ "data": { "user": { "name": "John", "age":30 } } }

Setting with an * allow for variable substitution by placing a variable name between double curly brackets {{userName}}. It becomes a request variable that needs to be populated when configuring an API call node in the Flow editor.

Variable substitution throughout iX Hello Customer v2

API Method

API Call node

Runtime

Instead of setting a hardcoded customer ID value a variable is defined called {{customerID}} to allow reuse of the API.

{{customerID}} request variable needs to be populated to successfully call the API.

An agent node in the flow is configured to gather the end user’s customerID.

The flow asks the end user their customerID, to populate the request variable e.g. 1234.

{{customerID}} = customerID = 1234

1234 is sent in the API request.

  • https://api.example.com/flows/{{customerID}}

  • https://api.example.com/flows/1234

Step 3: Method result [Beta]

Setting
Description

Result type

Define if the result type is a single entry or a list of entries

Result path

Optional

Record path

Optional


JSON path expression to target an object in API response. $.[*]

Record template

Optional


Define a template for presenting the result. Refer to fields that are available in the object that is defined in the record path. e.g. Transaction ID: {{transactionId}}, Name: {{user.name}

The result, or list of results is stored in the hardcoded variable {{Records}}

Record limit

Optional


Set a numeric limit on the number of results that is returned. Only affects result type List.

Valid result template

Optional


Define the template in case of a successful API call. e.g.

Found: {{Records}}

Empty result template

Optional


Define the template in case of a failed API call e.g. No results

Next Steps

Once you’ve configured and saved your REST API configuration, they can be selected and configured in an API call node.

Follow the Open Meteo tutorial to setup a REST API configuration in preparation for a Weather Flow.

Last updated

Was this helpful?